4Suite™ API Documentation

# ► Module Ft.Xml.XPath.Context

The context of an XPath expression

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: Context

## Classes

class Context

  ### Methods

  __init__(self, node, position=1, size=1, varBindings=None, processorNss=None, extModuleList=None, extFunctionMap=None)
  __repr__(self)
  addFunction(self, expandedName, function)
  clone(self)
  copy(self)
  set(self, state)

  ### Members

  currentInstruction = None
  functions = {(None, 'boolean'): <function Boolean>, (None, 'ceiling'): <function Ceiling>, (None, 'concat'): <function Concat>, (None, 'contains'): <function Contains>, (None, 'count'): <function Count>, (None, 'false'): <function False>, (None, 'floor'): <function Floor>, (None, 'id'): <function Id>, (None, 'lang'): <function Lang>, (None, 'last'): <function Last>, ...}